com.fasterxml.jackson.dataformat.avro.deser

## Class MapReader

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext
    - - com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader
      - - com.fasterxml.jackson.dataformat.avro.deser.MapReader

- Direct Known Subclasses:
    StructDefaults.ObjectDefaults

      public abstract class MapReader
      extends AvroStructureReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_currentName`
    `protected String` | `_keyTypeId`
    `protected AvroParserImpl` | `_parser`
    `protected int` | `_state`
    `protected String` | `_valueTypeId`
    `protected static int` | `STATE_DONE`
    `protected static int` | `STATE_END`
    `protected static int` | `STATE_NAME`
    `protected static int` | `STATE_START`
    `protected static int` | `STATE_VALUE`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader

      `_currToken`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_currentValue, _parent, _typeId`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MapReader(AvroReadContext parent, AvroParserImpl parser, String typeId, String keyTypeId, String valueTypeId)`
    `protected` | `MapReader(String typeId, String keyTypeId, String valueTypeId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendDesc(StringBuilder sb)`
    `static MapReader` | `construct(AvroStructureReader reader, String typeId, String keyTypeId)`
    `static MapReader` | `construct(ScalarDecoder dec, String typeId, String keyTypeId, String valueTypeId)`
    `String` | `getCurrentName()`
    `abstract long` | `getRemainingElements()`
    `String` | `getTypeId()`
    `abstract MapReader` | `newReader(AvroReadContext parent, AvroParserImpl parser)` Method for creating actual instance to use for reading (initial instance constructed is so-called blue print).
    `String` | `nextFieldName()`
    `abstract com.fasterxml.jackson.core.JsonToken` | `nextToken()`
    `abstract void` | `skipValue(AvroParserImpl parser)` Alternative to `AvroStructureReader.nextToken()` which will simply skip the full value.

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader

      `_throwUnsupported, getCurrentToken, throwIllegalState`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_reportError, getCurrentValue, getParent, setCurrentValue, toString`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getEntryCount, getStartLocation, getTypeDesc, hasCurrentIndex, hasCurrentName, hasPathSegment, inArray, inObject, inRoot, pathAsPointer, pathAsPointer, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATE_START

          protected static final int STATE_START

      See Also:
        Constant Field Values

    - #### STATE_NAME

          protected static final int STATE_NAME

      See Also:
        Constant Field Values

    - #### STATE_VALUE

          protected static final int STATE_VALUE

      See Also:
        Constant Field Values

    - #### STATE_END

          protected static final int STATE_END

      See Also:
        Constant Field Values

    - #### STATE_DONE

          protected static final int STATE_DONE

      See Also:
        Constant Field Values

    - #### _parser

          protected final AvroParserImpl _parser

    - #### _keyTypeId

          protected final String _keyTypeId

    - #### _valueTypeId

          protected final String _valueTypeId

    - #### _currentName

          protected String _currentName

    - #### _state

          protected int _state

  - ### Constructor Detail

    - #### MapReader

          protected MapReader(String typeId,
                   String keyTypeId,
                   String valueTypeId)

    - #### MapReader

          protected MapReader(AvroReadContext parent,
                   AvroParserImpl parser,
                   String typeId,
                   String keyTypeId,
                   String valueTypeId)

  - ### Method Detail

    - #### construct

          public static MapReader construct(ScalarDecoder dec,
                            String typeId,
                            String keyTypeId,
                            String valueTypeId)

    - #### construct

          public static MapReader construct(AvroStructureReader reader,
                            String typeId,
                            String keyTypeId)

    - #### newReader

          public abstract MapReader newReader(AvroReadContext parent,
                            AvroParserImpl parser)

      Description copied from class: `AvroStructureReader`
      Method for creating actual instance to use for reading (initial instance constructed is so-called blue print).
      Specified by:
        `newReader` in class `AvroStructureReader`

    - #### getCurrentName

          public String getCurrentName()

      Overrides:
        `getCurrentName` in class `AvroReadContext`

    - #### nextToken

          public abstract com.fasterxml.jackson.core.JsonToken nextToken()
                                                                  throws IOException

      Specified by:
        `nextToken` in class `AvroStructureReader`
      Throws:
        `IOException`

    - #### skipValue

          public abstract void skipValue(AvroParserImpl parser)
                                  throws IOException

      Description copied from class: `AvroStructureReader`
      Alternative to `AvroStructureReader.nextToken()` which will simply skip the full value.
      Specified by:
        `skipValue` in class `AvroStructureReader`
      Throws:
        `IOException`

    - #### getRemainingElements

          public abstract long getRemainingElements()

      Overrides:
        `getRemainingElements` in class `AvroReadContext`

    - #### nextFieldName

          public String nextFieldName()
                               throws IOException

      Specified by:
        `nextFieldName` in class `AvroReadContext`
      Throws:
        `IOException`

    - #### appendDesc

          public void appendDesc(StringBuilder sb)

      Specified by:
        `appendDesc` in class `AvroReadContext`

    - #### getTypeId

          public String getTypeId()

      Overrides:
        `getTypeId` in class `AvroReadContext`

Copyright © 2017 FasterXML. All rights reserved.